Page MenuHomePhabricator

WMF-specific links and emails should be in LocalSettings
Closed, ResolvedPublic2 Story Points

Description

DonationInterface has links to https://wikimediafoundation.org/wiki/Ways_to_Give/en and problemsdonating@wikimedia.org sprinkled throughout templates and i18n messages. These should be tokenized and any language parameter should be explicitly indicated as with $wgDonationInterfaceAppealWikiTemplate.

There's nothing functional about this, but if we want to have other people using DI, we should do this.

Event Timeline

Ejegg created this task.Aug 11 2015, 3:55 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2015, 3:55 PM
DStrine updated the task description. (Show Details)Aug 11 2015, 9:17 PM
DStrine set Security to None.
DStrine moved this task from Triage to FY 2019-20 on the Fundraising-Backlog board.

Change 243225 had a related patch set uploaded (by Ejegg):
Move some WMF-specific links to settings

https://gerrit.wikimedia.org/r/243225

Change 243225 merged by jenkins-bot:
Move some WMF-specific links to settings

https://gerrit.wikimedia.org/r/243225

awight added a subscriber: awight.

The patch looks great, but perhaps we want to point to local wiki pages in DonationInterface.php?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 5 2016, 8:40 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM
Framawiki moved this task from Backlog to Doing on the good first bug board.Dec 2 2017, 1:39 PM
Ejegg set the point value for this task to 2.
Ejegg moved this task from FY 2019-20 to Current Sprint on the Fundraising-Backlog board.

Moving this into sprint - it's the only sane way to wrangle all the URLs

Change 449477 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Parameterize 'Donor Policy' URL in messages

https://gerrit.wikimedia.org/r/449477

Change 449480 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Escape special chars in Mustache URL params

https://gerrit.wikimedia.org/r/449480

Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Owls board.Jul 31 2018, 6:36 PM
Ejegg claimed this task.Jul 31 2018, 6:39 PM
Ejegg triaged this task as Normal priority.
Ejegg added subscribers: MBeat33, Pcoombe.

@MBeat33 Is there any real difference between the donate@ and problemsdonating@ email addresses? We've got problemsdonating@ in the config now, but donate@ is used in some of the i18n messages.

@Pcoombe are you using the message donate_interface-easydonate anywhere on donatewiki? I'm hoping to change it to take the email address as a parameter rather than an embedded part of the message.

Thanks, @Ejegg problemsdonating@ is an old delegated Gmail account - retiring it is on my TDL. Messages sent to both addresses should reach Zendesk. But we still review the spam folders at Gmail periodically to forward anything useful to Zendesk that gets stuck there. Basically, donate@ is more active and more recent, so is always a better option to use.

Ejegg moved this task from Doing to Review on the Fundraising Sprint Owls board.Jul 31 2018, 8:23 PM

Change 449610 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Fix error msg with otherways URL, add instructions

https://gerrit.wikimedia.org/r/449610

Change 449474 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Parameterize 'Other ways to give' URL in messages

https://gerrit.wikimedia.org/r/449474

Change 449477 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Parameterize 'Donor Policy' URL in messages

https://gerrit.wikimedia.org/r/449477

Change 449480 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Escape special chars in Mustache URL params

https://gerrit.wikimedia.org/r/449480

Change 449610 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Fix error msg with otherways URL, add instructions

https://gerrit.wikimedia.org/r/449610

@Pcoombe are you using the message donate_interface-easydonate anywhere on donatewiki? I'm hoping to change it to take the email address as a parameter rather than an embedded part of the message.

We're not using that anywhere. Thanks for checking!

Thanks, @Ejegg problemsdonating@ is an old delegated Gmail account - retiring it is on my TDL. Messages sent to both addresses should reach Zendesk. But we still review the spam folders at Gmail periodically to forward anything useful to Zendesk that gets stuck there. Basically, donate@ is more active and more recent, so is always a better option to use.

That's good to know @MBeat33. We still use problemsdonating@ on https://donate.wikimedia.org/wiki/Problems_donating, I'll see about changing it.

Thank you, @Pcoombe, I was hoping we could fix that - much appreciated.

Change 449799 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Parameterize support email in messages

https://gerrit.wikimedia.org/r/449799

Ejegg added a comment.EditedAug 1 2018, 7:37 PM

@Pcoombe OK, here's the final list of messages that will need to take the email as a parameter in the future:

donate_interface-processing-error (most common error message in DonationInterface)
donate_interface-error-no-form (used in GatewayFormChooser)
donate_interface-question-comment (can't find usage in DonationInterface)
donate_interface-monthly-cancel (used in mustache)
donate_interface-easydonate (can't find usage, pcoombe says not on donatewiki)
donate_interface-unsub-delay (used in unsub extension, usage already sends param)
donate_interface-unsub-fail (ditto)
donate_interface-unsub-warning (ditto)
donate_interface-bank_transfer_message (used in lame HTML generation)

Change 449799 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Parameterize support email in messages

https://gerrit.wikimedia.org/r/449799

Thanks @Ejegg. We use donate_interface-monthly-cancel in donatewiki, I've added the email parameter there ready.

There's a list of all the DonationInterface messages used in banners and donatewiki at T166346

Ejegg closed this task as Resolved.Aug 7 2018, 8:15 PM